com.massivecraft.factions.integration.dynmap

## Class TempAreaMarker

- java.lang.Object
- - com.massivecraft.factions.integration.dynmap.TempAreaMarker

-     public class TempAreaMarker
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `boolean` | `boost`
    `java.lang.String` | `description`
    `int` | `fillColor`
    `double` | `fillOpacity`
    `java.lang.String` | `label`
    `int` | `lineColor`
    `double` | `lineOpacity`
    `int` | `lineWeight`
    `java.lang.String` | `world`
    `double[]` | `x`
    `double[]` | `z`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TempAreaMarker()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.dynmap.markers.AreaMarker` | `create(org.dynmap.markers.MarkerSet markerset, java.lang.String markerId)`
    `static boolean` | `equals(org.dynmap.markers.AreaMarker marker, double[] x, double[] z)`
    `void` | `update(org.dynmap.markers.AreaMarker marker)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### label

          public java.lang.String label

    - #### world

          public java.lang.String world

    - #### x

          public double[] x

    - #### z

          public double[] z

    - #### description

          public java.lang.String description

    - #### lineColor

          public int lineColor

    - #### lineOpacity

          public double lineOpacity

    - #### lineWeight

          public int lineWeight

    - #### fillColor

          public int fillColor

    - #### fillOpacity

          public double fillOpacity

    - #### boost

          public boolean boost

  - ### Constructor Detail

    - #### TempAreaMarker

          public TempAreaMarker()

  - ### Method Detail

    - #### equals

          public static boolean equals(org.dynmap.markers.AreaMarker marker,
                                       double[] x,
                                       double[] z)

    - #### create

          public org.dynmap.markers.AreaMarker create(org.dynmap.markers.MarkerSet markerset,
                                                      java.lang.String markerId)

    - #### update

          public void update(org.dynmap.markers.AreaMarker marker)